Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.dataLayer
Class PNMLTransformer

    java.lang.Object
      pipe.dataLayer.PNMLTransformer

    public class PNMLTransformer

extends java.lang.Object

Create pnmlTransformer object, which deals with getting information from the XML file, then passes this back to DataLayer constructor for construction

Constructor Summary
`PNMLTransformer()` Create a Transformer

Method Summary
`org.w3c.dom.Document` | `getDOM(java.io.File pnmlFile)` Return a DOM for the PNML File pnmlFile
`org.w3c.dom.Document` | `getDOM(java.lang.String pnmlFileName)` Return a DOM for the PNML file at URI pnmlFileName
`org.w3c.dom.Document` | `transformPNML(java.lang.String filename)` Transform a PNML file into a Document which is returned and used to construct the DataLayer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNMLTransformer

    public PNMLTransformer()

  Create a Transformer

Method Detail

### transformPNML

    public org.w3c.dom.Document transformPNML(java.lang.String filename)

  Transform a PNML file into a Document which is returned and used to construct the DataLayer

  Parameters:
    `filename` - URI location of PNML
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `javax.xml.transform.TransformerException`
    `javax.xml.parsers.ParserConfigurationException`

### getDOM

    public org.w3c.dom.Document getDOM(java.lang.String pnmlFileName)
                                throws javax.xml.parsers.ParserConfigurationException,
                                       java.io.IOException,
                                       org.xml.sax.SAXException

  Return a DOM for the PNML file at URI pnmlFileName

  Parameters:
    `pnmlFileName` - URI of PNML file
  Returns:
    A DOM for the PNML file pnmlFileName
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `java.io.IOException`
    `org.xml.sax.SAXException`

### getDOM

    public org.w3c.dom.Document getDOM(java.io.File pnmlFile)
                                throws javax.xml.parsers.ParserConfigurationException,
                                       java.io.IOException,
                                       org.xml.sax.SAXException

  Return a DOM for the PNML File pnmlFile

  Parameters:
    `pnmlFile` - File Object for PNML of Petri-Net
  Returns:
    A DOM for the File Object for PNML of Petri-Net
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD